import * as ROSLIB from 'roslib';
import { usePStore } from "../store/PolicyStore";

const store = usePStore();

export function PolicyService(ros) {
    const service = new ROSLIB.Service({
        ros: ros,
        name: '/policy_srv',
        serviceType: 'active_bo_msgs/srv/WeightToPolicy',
    });

    const request = new ROSLIB.ServiceRequest({
        weights: store.weights,
        nr_steps: store.nr_steps,
    })

}
