import { defineStore } from "pinia";

export const useMCStore = defineStore('Mountain Car Store', {
    state: () => {
        return {
            play: false,
            rgbArray: Array,
        }
    },
    getters: {
        getPlay: (state) => state.play,
        getRgbArray: (state) => state.rgbarray,
    },
    actions: {
        setPlay() {
            this.play = !this.play;
        },
        setRgbArray(value) {
            this.rgbArray = value;
        },
    }
})
